Topic: Installation php-imap pour dolibarr

Bonjour,
Je tente d'installer dolibarr version 14.0.3 sur Fedora 34 server avec l'installeur de source forge : https://sourceforge.net/projects/doliba … oliRpm%29/

Il est demandé en pré-requis d'avoir php, php-ldap et php-imap. php et php-ldap sont bien installés.
php-imap n'existant pas dans les dépôts Fedora 34, j'installe avec le dépôt remi la version php74-php-imap 7.4.24-1 qui est en phase avec la version actuelle php de Fedora 34.
Je vérifie php74-php-imap est bien installé.

Puis je relance l'installeur dolibarr mais échec car il cherche php-imap et non php74-php-imap.

==> existe t-il un moyen de contourner le nommage du dépôt remi car l'installeur de dolibarr étant un rpm je ne peux pas le modifier ?

Merci pour les idées.

Re: Installation php-imap pour dolibarr

1/ imap / libc-client

Cette extension pose un énorme problème, elle utilise la bibliothèque libc-client qui est un project mort et non maintenu depuis plus >10 ans

Aucun projet serieux ne devrait l'utiliser.
Il me semblerait utile de le signaler à Dolibarr

C'est pourquoi elle a été supprimé de Fedora.

2/ confusion

php-imap != php74-php-imap  comme expliqué dans la FAQ
https://blog.remirepo.net/pages/FAQ-en-Francais#scl

3/ installation

Pour une configuration propre il suffit de suivre les instructions de l'assistant
https://rpms.remirepo.net/wizard/

Ce qui implique de prendre la pile PHP complète chez moi.

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 34 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

Re: Installation php-imap pour dolibarr

Merci pour la rapidité et clarté de votre réponse.

J'avais bien vu pour les raisons que vous indiquez que php-imap a été retiré de Fedora 34.
Ce jour Fedora 34 est passé en version php 7.4.25.

Je vais suivre vos instructions pour retenter l'installation. J'avoue avoir eu quelque difficultés à comprendre pourquoi il fallait 2 piles alors que pour moi seul le package php-imap était nécessaire.

Je vais signifier à dolibarr le problème. Il est d'ailleurs étonnant que le sujet ne soit pas déjà traité.
J'ai fait aussi une installation docker de dolibarr et l'installation fonctionne avec ... php-imap si j'interprète bien le fichier de configuration docker.

Encore merci.
Cordialement